Multi-Factor Authentication (MFA)
Get MFA Workflow by ID
GET
Retrieves configuration settings for a specific MFA workflow.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
id*stringWorkflow identifier
Workflow configuration details
application/json- response
status?stringdata?curl -X GET 'https://api.smspro.com/api/v1/public/mfa/workflows/string'Example Response
{ "status": "string", "data": { "id": "string", "name": "string", "senderId": "string", "codeLength": 0, "expiryMinutes": 0, "maxAttempts": 0, "resendCooldownSeconds": 0, "channel": "string", "isDefault": true, "isActive": true, "webhookUrl": "string", "defaultProofMode": "CHALLENGE_RESPONSE" }}